"Lars J. Aas" <[EMAIL PROTECTED]> writes:

> On Fri, Mar 09, 2001 at 05:26:29PM +0100, Akim Demaille wrote:
> : Hm, in fact, could you try again?  I applied one of the patches which
> : were OK'ed, which is addressing issues in this area.  Maybe it cures
> : your problem.  I couldn't build a test case reproducing your problem :(
> 
> It still doesn't work.  I'm using perl 5.005_03.

Yep, thanks.  I now can reproduce it.

I am checking in a test for this.  I have started working on
understanding what's wrong, but I must leave now.

I will work out a patch, and fix this issue.  I'll post it asap, but
probably tomorrow.

Index: tests/cond3.test
===================================================================
RCS file: /cvs/automake/automake/tests/cond3.test,v
retrieving revision 1.3
diff -u -u -r1.3 cond3.test
--- tests/cond3.test 1999/04/10 03:48:19 1.3
+++ tests/cond3.test 2001/03/09 19:11:32
@@ -1,7 +1,7 @@
 #! /bin/sh
 
 # Test sources listed in conditional.
-# Report from Rob Savoye <[EMAIL PROTECTED]>.
+# Report from Rob Savoye <[EMAIL PROTECTED]>, and Lars J. Aas.
 
 . $srcdir/defs || exit 1
 
@@ -40,4 +40,29 @@
 
 $AUTOMAKE || exit 1
 
-test "`grep 'am_targ_OBJECTS =' Makefile.in | wc -l`" -eq 8
+sed -n -e '/am_targ_OBJECTS =.*\\$/ {
+   :loop
+   p
+   n
+   /\\$/ b loop
+   p
+   n
+   }' -e '/am_targ_OBJECTS =/ p' Makefile.in >produced
+
+
+cat >expected << 'EOF'
+@ONE_FALSE@@THREE_FALSE@@TWO_TRUE@am_targ_OBJECTS = two.$(OBJEXT)
+@ONE_FALSE@@THREE_FALSE@@TWO_FALSE@am_targ_OBJECTS =
+@ONE_FALSE@@THREE_TRUE@@TWO_TRUE@am_targ_OBJECTS = two.$(OBJEXT) \
+@ONE_FALSE@@THREE_TRUE@@TWO_TRUE@ three.$(OBJEXT)
+@ONE_FALSE@@THREE_TRUE@@TWO_FALSE@am_targ_OBJECTS = three.$(OBJEXT)
+@ONE_TRUE@@THREE_FALSE@@TWO_TRUE@am_targ_OBJECTS = one.$(OBJEXT) \
+@ONE_TRUE@@THREE_FALSE@@TWO_TRUE@ two.$(OBJEXT)
+@ONE_TRUE@@THREE_FALSE@@TWO_FALSE@am_targ_OBJECTS = one.$(OBJEXT)
+@ONE_TRUE@@THREE_TRUE@@TWO_TRUE@am_targ_OBJECTS = one.$(OBJEXT) \
+@ONE_TRUE@@THREE_TRUE@@TWO_TRUE@ two.$(OBJEXT) three.$(OBJEXT)
+@ONE_TRUE@@THREE_TRUE@@TWO_FALSE@am_targ_OBJECTS = one.$(OBJEXT) \
+@ONE_TRUE@@THREE_TRUE@@TWO_FALSE@ three.$(OBJEXT)
+EOF
+
+diff expected produced || exit 1

Reply via email to